LINUX.ORG.RU

Помогите, пожалуйста, распарсить ошибки apt (dpkg)

 ,


0

1

Собственно, вывод

➜  texmf.d sudo apt upgrade 
Чтение списков пакетов… Готово
Построение дерева зависимостей       
Чтение информации о состоянии… Готово
Расчёт обновлений… Готово
обновлено 0, установлено 0 новых пакетов, для удаления отмечено 0 пакетов, и 0 пакетов не обновлено.
не установлено до конца или удалено 17 пакетов.
После данной операции, объём занятого дискового пространства возрастёт на 0 B.
Хотите продолжить? [Д/н] 
Настраивается пакет tex-common (6.06) …
Running mktexlsr. This may take some time... done.
Running mtxrun --generate. This may take some time... done.
Running updmap-sys. This may take some time... 
updmap-sys failed. Output has been stored in
/tmp/updmap.eQ3f6Csp
Please include this file if you report a bug.

Sometimes, not accepting conffile updates in /etc/texmf/updmap.d
causes updmap-sys to fail.  Please check for files with extension
.dpkg-dist or .ucf-dist in this directory

dpkg: ошибка при обработке пакета tex-common (--configure):
 подпроцесс установлен сценарий post-installation возвратил код ошибки 1
dpkg: зависимости пакетов не позволяют настроить пакет texlive-lang-arabic:
 texlive-lang-arabic зависит от tex-common (>= 6), однако:
  Пакет tex-common пока не настроен.

dpkg: ошибка при обработке пакета texlive-lang-arabic (--configure):
 проблемы зависимостей — оставляем не настроенным
dpkg: зависимости пакетов не позволяют настроить пакет texlive-lang-spanish:
 texlive-lang-spanish зависит от tex-common (>= 6), однако:
  Пакет tex-common пока не настроен.

dpkg: ошибка при обработке пакета texlive-lang-spanish (--configure):
 проблемы зависимостей — оставляем не настроенным
dpkg: зависимости пакетов не позволяют настроить пакет texlive-lang-european:
 texlive-lang-european зависит от tex-common (>= 6), однако:
  Пакет tex-common пока не настроен.

dpkg: ошибка при обработке пакета texlive-lang-european (--configure):
 проблемы зависимостей — оставляем не настроенным
dpkg: зависимости пакетов не позволяют настроить пакет texlive-lang-italian:
 texlive-lang-italian зависит от tex-common (>= 6), однако:
  Пакет tex-common пока не настроен.

dpkg: ошибка при обработке пакета texlive-lang-italian (--configure):
 проблемы зависимостей — оставляем не настроенным
dpkg: зависимости пакетов не позволяют настроить пакет texlive-lang-japanese:
 texlive-lang-japanese зависит от tex-common (>= 6), однако:
  Пакет tex-common пока не настроен.

dpkg: ошибка при обработке пакета texlive-lang-japanese (--configure):
 проблемы зависимостей — оставляем не настроенным
dpkg: зависимости пакетов не позволяют настроить пакет texlive-lang-english:
 texlive-lang-english зависит от tex-common (>= 6), однако:
  Пакет tex-common пока не настроен.

dpkg: ошибка при обработке пакета texlive-lang-english (--configure):
 проблемы зависимостей — оставляем не настроенным
dpkg: зависимости пакетов не позволяют настроить пакет texlive-lang-german:
 texlive-lang-german зависит от tex-common (>= 6), однако:
  Пакет tex-common пока не настроен.

dpkg: ошибка при обработке пакета texlive-lang-german (--configure):
 проблемы зависимостей — оставляем не настроенным
dpkg: зависимости пакетов не позволяют настроить пакет texlive-lang-czechslovak:
 texlive-lang-czechslovak зависит от tex-common (>= 6), однако:
  Пакет tex-common пока не настроен.

dpkg: ошибка при обработке пакета texlive-lang-czechslovak (--configure):
 проблемы зависимостей — оставляем не настроенным
dpkg: зависимости пакетов не позволяют настроить пакет texlive-lang-polish:
 texlive-lang-polish зависит от tex-common (>= 6), однако:
  Пакет tex-common пока не настроен.

dpkg: ошибка при обработке пакета texlive-lang-polish (--configure):
 проблемы зависимостей — оставляем не настроенным
dpkg: зависимости пакетов не позволяют настроить пакет texlive-lang-other:
 texlive-lang-other зависит от tex-common (>= 6), однако:
  Пакет tex-common пока не настроен.

dpkg: ошибка при обработке пакета texlive-lang-other (--configure):
 проблемы зависимостей — оставляем не настроенным
dpkg: зависимости пакетов не позволяют настроить пакет texlive-lang-cyrillic:
 texlive-lang-cyrillic зависит от tex-common (>= 6), однако:
  Пакет tex-common пока не настроен.

dpkg: ошибка при обработке пакета texlive-lang-cyrillic (--configure):
 проблемы зависимостей — оставляем не настроенным
dpkg: зависимости пакетов не позволяют настроить пакет texlive-lang-chinese:
 texlive-lang-chinese зависит от tex-common (>= 6), однако:
  Пакет tex-common пока не настроен.

dpkg: ошибка при обработке пакета texlive-lang-chinese (--configure):
 проблемы зависимостей — оставляем не настроенным
dpkg: зависимости пакетов не позволяют настроить пакет texlive-lang-portuguese:
 texlive-lang-portuguese зависит от tex-common (>= 6), однако:
  Пакет tex-common пока не настроен.

dpkg: ошибка при обработке пакета texlive-lang-portuguese (--configure):
 проблемы зависимостей — оставляем не настроенным
dpkg: зависимости пакетов не позволяют настроить пакет texlive-lang-french:
 texlive-lang-french зависит от tex-common (>= 6), однако:
  Пакет tex-common пока не настроен.

dpkg: ошибка при обработке пакета texlive-lang-french (--configure):
 проблемы зависимостей — оставляем не настроенным
dpkg: зависимости пакетов не позволяют настроить пакет texlive-lang-african:
 texlive-lang-african зависит от tex-common (>= 6), однако:
  Пакет tex-common пока не настроен.

dpkg: ошибка при обработке пакета texlive-lang-african (--configure):
 проблемы зависимостей — оставляем не настроенным
dpkg: зависимости пакетов не позволяют настроить пакет texlive-lang-korean:
 texlive-lang-korean зависит от tex-common (>= 6), однако:
  Пакет tex-common пока не настроен.

dpkg: ошибка при обработке пакета texlive-lang-korean (--configure):
 проблемы зависимостей — оставляем не настроенным
При обработке следующих пакетов произошли ошибки:
 tex-common
 texlive-lang-arabic
 texlive-lang-spanish
 texlive-lang-european
 texlive-lang-italian
 texlive-lang-japanese
 texlive-lang-english
 texlive-lang-german
 texlive-lang-czechslovak
 texlive-lang-polish
 texlive-lang-other
 texlive-lang-cyrillic
 texlive-lang-chinese
 texlive-lang-portuguese
 texlive-lang-french
 texlive-lang-african
 texlive-lang-korean
E: Sub-process /usr/bin/dpkg returned an error code (1)
★★★★★

Читать я умею, но как решить проблему не понимаю.

aquadon ★★★★★ ()
Ответ на: комментарий от Samamy
➜  texmf.d sudo aptitude reinstall tex-common
Следующие пакеты будут ПЕРЕУСТАНОВЛЕНЫ:          
  tex-common 
Следующие частично установленные пакеты будут настроены:
  texlive-lang-african texlive-lang-arabic texlive-lang-chinese 
  texlive-lang-cyrillic texlive-lang-czechslovak texlive-lang-english 
  texlive-lang-european texlive-lang-french texlive-lang-german 
  texlive-lang-italian texlive-lang-japanese texlive-lang-korean 
  texlive-lang-other texlive-lang-polish texlive-lang-portuguese 
  texlive-lang-spanish 
0 пакетов обновлено, 0 установлено новых, 1 переустановлено, 0 пакетов отмечено для удаления, и 0 пакетов не обновлено.
Необходимо получить 0 B архивов. После распаковки 0 B будет занято.
E: Internal Error, No file name for tex-common:amd64
aquadon ★★★★★ ()
Ответ на: комментарий от Samamy
➜  ~ sudo aptitude purge tex-common && sudo aptitude update && sudo aptitude install tex-common
[sudo] пароль для aquadon: 
Следующие пакеты будут УДАЛЕНЫ:                  
  tex-common{p} 
Следующие частично установленные пакеты будут настроены:
  texlive-lang-african{b} texlive-lang-arabic{b} texlive-lang-chinese{b} 
  texlive-lang-cyrillic{b} texlive-lang-czechslovak{b} texlive-lang-english{b} 
  texlive-lang-european{b} texlive-lang-french{b} texlive-lang-german{b} 
  texlive-lang-italian{b} texlive-lang-japanese{b} texlive-lang-korean{b} 
  texlive-lang-other{b} texlive-lang-polish{b} texlive-lang-portuguese{b} 
  texlive-lang-spanish{b} 
0 пакетов обновлено, 0 установлено новых, 1 пакетов отмечено для удаления, и 0 пакетов не обновлено.
Необходимо получить 0 B архивов. После распаковки освободится 851 k байт.
Следующие пакеты имеют неудовлетворённые зависимости:
 latex-cjk-japanese : Зависит: tex-common (>= 6) but it is not going to be installed
 latex-cjk-chinese : Зависит: tex-common (>= 6) but it is not going to be installed
 texlive-metapost-doc : Зависит: tex-common (>= 6) but it is not going to be installed
 texlive-font-utils : Зависит: tex-common (>= 6) but it is not going to be installed
 texlive-lang-spanish : Зависит: tex-common (>= 6) but it is not going to be installed
 texlive-publishers-doc : Зависит: tex-common (>= 6) but it is not going to be installed
 texlive-latex-base : Зависит: tex-common (>= 6) but it is not going to be installed
 latex-cjk-chinese-arphic-gkai00mp : Зависит: tex-common (>= 3) but it is not going to be installed
 feynmf : Зависит: tex-common (>= 4) but it is not going to be installed
 texlive-lang-european : Зависит: tex-common (>= 6) but it is not going to be installed
 texlive-publishers : Зависит: tex-common (>= 6) but it is not going to be installed
 texlive-luatex : Зависит: tex-common (>= 6) but it is not going to be installed
 latex-cjk-chinese-arphic-bkai00mp : Зависит: tex-common (>= 3) but it is not going to be installed
 texlive-science-doc : Зависит: tex-common (>= 6) but it is not going to be installed
 texlive-lang-greek : Зависит: tex-common (>= 6) but it is not going to be installed
 texlive-games : Зависит: tex-common (>= 6) but it is not going to be installed
 texlive-fonts-recommended-doc : Зависит: tex-common (>= 6) but it is not going to be installed
 texlive-lang-english : Зависит: tex-common (>= 6) but it is not going to be installed
 texlive-lang-german : Зависит: tex-common (>= 6) but it is not going to be installed
 texlive-generic-extra : Зависит: tex-common (>= 6) but it is not going to be installed
 lmodern : Зависит: tex-common (>= 6) but it is not going to be installed
 texinfo : Зависит: tex-common (>= 6) but it is not going to be installed
 texlive-base : Зависит: tex-common (>= 6) but it is not going to be installed
 texlive-lang-indic : Зависит: tex-common (>= 6) but it is not going to be installed
 texlive-fonts-extra : Зависит: tex-common (>= 6) but it is not going to be installed
 texlive-generic-recommended : Зависит: tex-common (>= 6) but it is not going to be installed
 texlive-humanities-doc : Зависит: tex-common (>= 6) but it is not going to be installed
 texlive-metapost : Зависит: tex-common (>= 6) but it is not going to be installed
 texlive-latex-extra-doc : Зависит: tex-common (>= 6) but it is not going to be installed
 texlive-pictures : Зависит: tex-common (>= 6) but it is not going to be installed
 prosper : Зависит: tex-common (>= 6) but it is not going to be installed
 texlive-lang-african : Зависит: tex-common (>= 6) but it is not going to be installed
 texlive-lang-french : Зависит: tex-common (>= 6) but it is not going to be installed
 texlive-fonts-recommended : Зависит: tex-common (>= 6) but it is not going to be installed
 latex-cjk-chinese-arphic-gbsn00lp : Зависит: tex-common (>= 3) but it is not going to be installed
 texlive-lang-cyrillic : Зависит: tex-common (>= 6) but it is not going to be installed
 texlive-xetex : Зависит: tex-common (>= 6) but it is not going to be installed
 texlive-latex-extra : Зависит: tex-common (>= 6) but it is not going to be installed
 preview-latex-style : Зависит: tex-common (>= 6) but it is not going to be installed
 texlive-lang-portuguese : Зависит: tex-common (>= 6) but it is not going to be installed
 texlive-omega : Зависит: tex-common (>= 6) but it is not going to be installed
 biber : Зависит: tex-common (>= 6) but it is not going to be installed
 texlive-fonts-extra-doc : Зависит: tex-common (>= 6) but it is not going to be installed
 texlive-music : Зависит: tex-common (>= 6) but it is not going to be installed
 context : Зависит: tex-common (>= 6) but it is not going to be installed
 texlive-bibtex-extra : Зависит: tex-common (>= 6) but it is not going to be installed
 texlive-lang-other : Зависит: tex-common (>= 6) but it is not going to be installed
 latex-cjk-chinese-arphic-bsmi00lp : Зависит: tex-common (>= 3) but it is not going to be installed
 texlive-lang-korean : Зависит: tex-common (>= 6) but it is not going to be installed
 texlive-plain-extra : Зависит: tex-common (>= 6) but it is not going to be installed
 texlive-pstricks-doc : Зависит: tex-common (>= 6) but it is not going to be installed
 texlive-humanities : Зависит: tex-common (>= 6) but it is not going to be installed
 context-modules : Зависит: tex-common (>= 6) but it is not going to be installed
 texlive-lang-italian : Зависит: tex-common (>= 6) but it is not going to be installed
 latex-cjk-korean : Зависит: tex-common (>= 6) but it is not going to be installed
 texlive-pstricks : Зависит: tex-common (>= 6) but it is not going to be installed
 texlive-lang-czechslovak : Зависит: tex-common (>= 6) but it is not going to be installed
 texlive-lang-arabic : Зависит: tex-common (>= 6) but it is not going to be installed
 tipa : Зависит: tex-common (>= 3) but it is not going to be installed
 texlive-htmlxml : Зависит: tex-common (>= 6) but it is not going to be installed
 tex-gyre : Зависит: tex-common (>= 6) but it is not going to be installed
 texlive-formats-extra : Зависит: tex-common (>= 6) but it is not going to be installed
 texlive-binaries : Зависит: tex-common (>= 6) but it is not going to be installed
 latex-cjk-japanese-wadalab : Зависит: tex-common (>= 6) but it is not going to be installed
 texlive-lang-japanese : Зависит: tex-common (>= 6) but it is not going to be installed
 cm-super : Зависит: tex-common (>= 3) but it is not going to be installed
 texlive-lang-cjk : Зависит: tex-common (>= 6) but it is not going to be installed
 maxima-share : Зависит: tex-common (>= 6) but it is not going to be installed
 texlive-science : Зависит: tex-common (>= 6) but it is not going to be installed
 asymptote : Зависит: tex-common (>= 6) but it is not going to be installed
 texlive-latex-recommended-doc : Зависит: tex-common (>= 6) but it is not going to be installed
 texlive-lang-chinese : Зависит: tex-common (>= 6) but it is not going to be installed
 texlive-pictures-doc : Зависит: tex-common (>= 6) but it is not going to be installed
 texlive-latex-recommended : Зависит: tex-common (>= 6) but it is not going to be installed
 latex-cjk-thai : Зависит: tex-common (>= 6) but it is not going to be installed
 texlive-extra-utils : Зависит: tex-common (>= 6) but it is not going to be installed
 texlive-lang-polish : Зависит: tex-common (>= 6) but it is not going to be installed
 texlive-latex-base-doc : Зависит: tex-common (>= 6) but it is not going to be installed
 latex-cjk-common : Зависит: tex-common (>= 6) but it is not going to be installed
 cm-super-minimal : Зависит: tex-common (>= 3) but it is not going to be installed
Следующие действия разрешат зависимости:

     Сохранить для следующих пакетов их текущие версии:
1)     tex-common [6.06 (now, testing)]                



Принять данное решение? [Y/n/q/?]

Приду домой - буду пробовать весь texlive целиком удалить.

aquadon ★★★★★ ()
updmap-sys failed. Output has been stored in /tmp/updmap.eQ3f6Csp Please include this file if you report a bug. Sometimes, not accepting conffile updates in /etc/texmf/updmap.d causes updmap-sys to fail. Please check for files with extension .dpkg-dist or .ucf-dist in this directory 

Ты не смотрел что там?

a1batross ★★★★★ ()
Ответ на: комментарий от a1batross
➜  ~ sudo cat /tmp/updmap.eQ3f6Csp
updmap will read the following updmap.cfg files (in precedence order):
  /usr/share/texmf/web2c/updmap.cfg
  /usr/share/texlive/texmf-dist/web2c/updmap.cfg
updmap may write changes to the following updmap.cfg file:
  /etc/texmf/web2c/updmap.cfg
dvips output dir: "/var/lib/texmf/fonts/map/dvips/updmap"
pdftex output dir: "/var/lib/texmf/fonts/map/pdftex/updmap"
dvipdfmx output dir: "/var/lib/texmf/fonts/map/dvipdfmx/updmap"
updmap [ERROR]: The following map file(s) couldn't be found:
updmap [ERROR]:         otf-@jaEmbed@.map (in /usr/share/texlive/texmf-dist/web2c/updmap.cfg)
updmap [ERROR]:         otf-ko-@koEmbed@.map (in /usr/share/texlive/texmf-dist/web2c/updmap.cfg)
updmap [ERROR]:         otf-sc-@scEmbed@.map (in /usr/share/texlive/texmf-dist/web2c/updmap.cfg)
updmap [ERROR]:         otf-tc-@tcEmbed@.map (in /usr/share/texlive/texmf-dist/web2c/updmap.cfg)
updmap [ERROR]:         otf-up-@jaEmbed@.map (in /usr/share/texlive/texmf-dist/web2c/updmap.cfg)
updmap [ERROR]:         ptex-@jaEmbed@@jaVariant@.map (in /usr/share/texlive/texmf-dist/web2c/updmap.cfg)
updmap [ERROR]:         uptex-@jaEmbed@@jaVariant@.map (in /usr/share/texlive/texmf-dist/web2c/updmap.cfg)
updmap [ERROR]:         uptex-ko-@koEmbed@.map (in /usr/share/texlive/texmf-dist/web2c/updmap.cfg)
updmap [ERROR]:         uptex-sc-@scEmbed@.map (in /usr/share/texlive/texmf-dist/web2c/updmap.cfg)
updmap [ERROR]:         uptex-tc-@tcEmbed@.map (in /usr/share/texlive/texmf-dist/web2c/updmap.cfg)
updmap [ERROR]: Did you run mktexlsr?

        You can disable non-existent map entries using the option
          --syncwithtrees.
aquadon ★★★★★ ()
Ответ на: комментарий от aquadon

texlive-full удалить не получается по тем-же причинам.

aquadon ★★★★★ ()

/var/lib/dpkg/info/tex-common.postinst

- if mktexlsr $trees > $tempfile 2>&1 ; then
+ if mktexlsr --syncwithtrees $trees > $tempfile 2>&1 ; then

dpkg-reconfigure tex-common

bass ★★★★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.